# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/facebookincubator/dhcplb
%global goipath         github.com/facebookincubator/dhcplb
%global commit          2e66b270a1a257e37b07fdbc72b719914fe5ab5c

%gometa

%global common_description %{expand:
Dhcplb is Facebook's implementation of a load balancer for DHCP.}

%global golicenses      LICENSE
%global godocs          docs AUTHORS CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        README.md

Name:           %{goname}
Version:        0
Release:        0.8%{?dist}
Summary:        Facebook's implementation of a load balancer for DHCP

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/fsnotify/fsnotify)
BuildRequires:  golang(github.com/golang/glog)
BuildRequires:  golang(github.com/hashicorp/golang-lru)
BuildRequires:  golang(github.com/insomniacslk/dhcp/dhcpv4)
BuildRequires:  golang(github.com/insomniacslk/dhcp/dhcpv4/ztpv4)
BuildRequires:  golang(github.com/insomniacslk/dhcp/dhcpv6)
BuildRequires:  golang(github.com/insomniacslk/dhcp/dhcpv6/ztpv6)
BuildRequires:  golang(golang.org/x/time/rate)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/facebookgo/ensure)
%endif

%description
%{common_description}

%package -n     dhcplb
Summary:        %{summary}
%description -n dhcplb
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/dhcplb %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n dhcplb
%license LICENSE
%doc AUTHORS CODE_OF_CONDUCT.md CONTRIBUTING.md README.md
%doc docs
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0-0.5
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jul 09 2022 Maxwell G <gotmax@e.email> - 0-0.4
- Rebuild for CVE-2022-{24675,28327,29526 in golang}

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0-0.1.20210618git2e66b27
- Initial package
